package mtwm

import (
	"testing"
	"time"

	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"

	"git.rosy.net.cn/baseapi/utils"
	_ "git.rosy.net.cn/jx-callback/business/jxcallback/orderman"
)

func TestGetOrder(t *testing.T) {
	//	result, err := CurPurchaseHandler.GetOrder("", "33437032333978492")
	//	if err != nil {
	//		t.Fatal(err)
	//	}
	//t.Log(utils.Format4Output(result, false))
}

func TestGetOrderStatus(t *testing.T) {
	result, err := CurPurchaseHandler.GetOrderStatus("", "71884881906304496")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestListOrders(t *testing.T) {
	result, err := CurPurchaseHandler.ListOrders(jxcontext.AdminCtx, "5873", nil, time.Now(), "14038247")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}
